Bug 445474 - Empathy freezes/crashes when trying to set profile picture.
Empathy freezes/crashes when trying to set profile picture.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: telepathy-haze (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-06 21:47 EDT by Andrew Alm
Modified: 2009-07-03 15:43 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.2.1-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-03 15:43:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is from empathy freezing (8.45 KB, application/octet-stream)
2008-05-06 21:47 EDT, Andrew Alm
no flags Details
empathy crashing (10.41 KB, application/octet-stream)
2008-05-06 21:48 EDT, Andrew Alm
no flags Details

  None (edit)
Description Andrew Alm 2008-05-06 21:47:59 EDT
Description of problem:

Whenever I try to set a profile picture in empathy the program seems to freeze.
 I have tried many different file formats (png,jpg,etc) and nothing seems to fix it.

Version-Release number of selected component (if applicable):

empathy-0.22.1-1.fc9.x86_64

How reproducible:

Everytime

Steps to Reproduce:
1. Edit->Personal Information
2. Click profile picture icon
3. Select file
4. Click open
  
Actual results:

Program freezes or crashes

Expected results:

A new profile picture

Additional info:

I attached some backtraces I was able to get.
Comment 1 Andrew Alm 2008-05-06 21:47:59 EDT
Created attachment 304709 [details]
This is from empathy freezing
Comment 2 Andrew Alm 2008-05-06 21:48:45 EDT
Created attachment 304710 [details]
empathy crashing

Attached a backtrace when empathy completley crashed
Comment 3 Peter Gordon 2008-05-07 22:50:29 EDT
I'm updating my Rawhide VM now to test this; but does enabling/disabling a
specific account or connection manager fix this? (E.g., if you disable all your
Haze-using accounts, or all your Gabble-using accounts, etc.?)

Thanks.
Comment 4 Peter Gordon 2008-05-08 01:48:14 EDT
Ok, I can definitely reproduce this issue and it seems at first glance to be
specific to Haze, as creating avatars for Jabber and Google Talk (both using
Gabble) works as expected, and the Salut account also sets it correctly. 
Comment 5 Bug Zapper 2008-05-14 06:44:36 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Peter Gordon 2008-10-12 23:48:14 EDT
As of telepathy-haze 0.2.1 (submitted for F9-testing yesterday), this should not be an issue any longer. Andrew, when this hits the testing repository please let me know if it fixes this bug for you. Thanks.
Comment 7 Andrew Alm 2008-10-14 21:59:16 EDT
I got the update of Koji and I am no longer experiencing this problem.  Thank you.
Comment 8 Bug Zapper 2009-06-09 20:39:22 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.